### Method

# Gio ApplicationCommandLine get_options_dict

since: 2.40

#### Declaration

    GVariantDict*
    g_application_command_line_get_options_dict (
      GApplicationCommandLine* cmdline
    )

#### Description

Gets the options that were passed to g_application_command_line().

If you did not override `local_command_line()` then these are the same options that were parsed according to the `GOptionEntrys` added to the application with `g_application_add_main_option_entries()` and possibly modified from your GApplication::handle-local-options handler.

If no options were sent then an empty dictionary is returned so that you don’t need to check for `NULL`.

The data has been passed via an untrusted external process, so the types of all values must be checked before being used.

Available since: 2.40

#### Return value

Type: `GVariantDict`

A `GVariantDict` with the options.

The returned data is owned by the instance.